ListMemberships - AWS Security Agent

ListMemberships

Returns a paginated list of membership summaries for the specified agent space within an application.

Request Syntax

POST /ListMemberships HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "applicationId": "string", "maxResults": number, "memberType": "string", "nextToken": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space to list memberships for.

Type: String

Required: Yes

applicationId

The unique identifier of the application that contains the agent space.

Type: String

Required: Yes

maxResults

The maximum number of results to return in a single call.

Type: Integer

Required: No

memberType

Filter memberships by member type.

Type: String

Valid Values: USER | ALL

Required: No

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "membershipSummaries": [ { "agentSpaceId": "string", "applicationId": "string", "config": { ... }, "createdAt": "string", "createdBy": "string", "membershipId": "string", "memberType": "string", "metadata": { ... }, "updatedAt": "string", "updatedBy": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

membershipSummaries

The list of membership summaries.

Type: Array of MembershipSummary objects

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: